Bug 986794 - [abrt] yum-3.4.3-100.fc19: sqlitecachec.py:46:getPrimary:TypeError: Can not create removals trigger: disk I/O error
[abrt] yum-3.4.3-100.fc19: sqlitecachec.py:46:getPrimary:TypeError: Can not c...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:4bca479f01c44664db9369efc66...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 02:22 EDT by Ahmed Noor Kader Mustajir B. Md Eusoff
Modified: 2013-07-25 04:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 04:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.07 KB, text/plain)
2013-07-22 02:22 EDT, Ahmed Noor Kader Mustajir B. Md Eusoff
no flags Details
File: core_backtrace (1.33 KB, text/plain)
2013-07-22 02:22 EDT, Ahmed Noor Kader Mustajir B. Md Eusoff
no flags Details
File: environ (2.13 KB, text/plain)
2013-07-22 02:22 EDT, Ahmed Noor Kader Mustajir B. Md Eusoff
no flags Details

  None (edit)
Description Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-22 02:22:03 EDT
Version-Release number of selected component:
yum-3.4.3-100.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /bin/yum update -y
dso_list:       yum-metadata-parser-1.1.4-8.fc19.x86_64
executable:     /bin/yum
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
sqlitecachec.py:46:getPrimary:TypeError: Can not create removals trigger: disk I/O error

Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 126, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 532, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 494, in doCommand
    ret = base.updatePkgs(extcmds, update_to=(basecmd == 'update-to'))
  File "/usr/share/yum-cli/cli.py", line 974, in updatePkgs
    self.update()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4948, in update
    updates = self.up.getUpdatesTuples()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1069, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 830, in _getUpdates
    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1050, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 770, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 387, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 260, in populate
    dobj = repo_cache_function(xml, csum)
  File "/usr/lib64/python2.7/site-packages/sqlitecachec.py", line 46, in getPrimary
    self.repoid))
TypeError: Can not create removals trigger: disk I/O error

Local variables in innermost frame:
checksum: '959a6285742f4d191556aede168e573008fc89ad'
self: <sqlitecachec.RepodataParserSqlite instance at 0x1183b48>
location: '/var/cache/yum/x86_64/19/adobe-linux-x86_64/gen/primary.xml'
Comment 1 Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-22 02:22:12 EDT
Created attachment 776742 [details]
File: backtrace
Comment 2 Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-22 02:22:26 EDT
Created attachment 776743 [details]
File: core_backtrace
Comment 3 Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-22 02:22:31 EDT
Created attachment 776744 [details]
File: environ
Comment 4 Zdeněk Pavlas 2013-07-22 06:55:34 EDT
The most likely cause of this is full disk.  There was enough space to create an empty sqlite database and tables, but we ran out of space when creating triggers.
Please could you check that /var/cache is indeed close to full?
Comment 5 Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-23 22:18:53 EDT
there are enough space,more than 20 gb free space
Comment 6 Zdeněk Pavlas 2013-07-24 04:00:47 EDT
Sorry I'm asking but have you checked the right partition?  (/var is usually mounted on a different partition than /home or /).. This is clearly triggered in yum-metadata-parser code, when DB schema is being created, nothing Yum specific.

If the free space is really not a problem, maybe the existing database cache is broken (a sqlite3 bug, maybe..)

Please backup /var/cache/yum/x86_64/19/adobe-linux-x86_64/gen/primary.xml.sqlite (if it's small, maybe zip it and attach to the BZ so I can check), then unlink it and try running Yum again.
Comment 7 Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-25 04:34:44 EDT
I using the same partition /var and /, and i just clean all info you requested using yum clean all so I can't give you the file
Comment 8 Zdeněk Pavlas 2013-07-25 04:47:05 EDT
Okay, thanks.  If this happens again, please upload the file and reopen.

Note You need to log in before you can comment on or make changes to this bug.